diff a/test/jdk/java/lang/Class/getSimpleName/GetSimpleNameTest.java b/test/jdk/java/lang/Class/getSimpleName/GetSimpleNameTest.java
--- a/test/jdk/java/lang/Class/getSimpleName/GetSimpleNameTest.java
+++ b/test/jdk/java/lang/Class/getSimpleName/GetSimpleNameTest.java
@@ -165,11 +165,11 @@
 
         byte[] getNestedClasses(boolean isInner) {
             var name = (isInner ? innerName : outerName);
             return ClassFile.of().build(name, clb -> {
                 clb.withSuperclass(CD_Object);
-                clb.withFlags(AccessFlag.PUBLIC, AccessFlag.SUPER);
+                clb.withFlags(AccessFlag.PUBLIC, AccessFlag.IDENTITY);
                 clb.with(InnerClassesAttribute.of(
                         InnerClassInfo.of(innerName,
                                 Optional.of(outerName),
                                 Optional.of(simpleName))));
                 makeDefaultCtor(clb);
@@ -178,11 +178,11 @@
 
         byte[] getInnerClasses(boolean isInner) {
             var name = (isInner ? innerName : outerName);
             return ClassFile.of().build(name, clb -> {
                 clb.withSuperclass(CD_Object);
-                clb.withFlags(AccessFlag.PUBLIC, AccessFlag.SUPER);
+                clb.withFlags(AccessFlag.PUBLIC, AccessFlag.IDENTITY);
                 clb.with(InnerClassesAttribute.of(
                         InnerClassInfo.of(innerName,
                                 Optional.of(outerName),
                                 Optional.of(simpleName),
                                 AccessFlag.PUBLIC)));
@@ -192,11 +192,11 @@
 
         byte[] getLocalClasses(boolean isInner) {
             var name = (isInner ? innerName : outerName);
             return ClassFile.of().build(name, clb -> {
                 clb.withSuperclass(CD_Object);
-                clb.withFlags(AccessFlag.PUBLIC, AccessFlag.SUPER);
+                clb.withFlags(AccessFlag.PUBLIC, AccessFlag.IDENTITY);
                 clb.with(InnerClassesAttribute.of(
                         InnerClassInfo.of(innerName,
                                 Optional.empty(),
                                 Optional.of(simpleName),
                                 AccessFlag.PUBLIC, AccessFlag.STATIC)));
@@ -207,11 +207,11 @@
 
         byte[] getAnonymousClasses(boolean isInner) {
             var name = (isInner ? innerName : outerName);
             return ClassFile.of().build(name, clb -> {
                 clb.withSuperclass(CD_Object);
-                clb.withFlags(AccessFlag.PUBLIC, AccessFlag.SUPER);
+                clb.withFlags(AccessFlag.PUBLIC, AccessFlag.IDENTITY);
                 clb.with(InnerClassesAttribute.of(
                         InnerClassInfo.of(innerName,
                                 Optional.empty(),
                                 Optional.empty(),
                                 AccessFlag.PUBLIC, AccessFlag.STATIC)));
